# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'thxemailbackend', 'model_label': 'thx email backend'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:emailbackend_{model['model_name']}_add",
        "perms": [f"emailbackend.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:emailbackend_{model['model_name']}_changelist",
        "perms": [
            f"emailbackend.view_{model['model_name']}",
            f"emailbackend.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'emailbackend',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'emailbackend'}},
    'perms': ['emailbackend.*'],
    'children': children
}]
